﻿using System.Data.Entity.ModelConfiguration;
using CodeStock2015EF.Models;

namespace CodeStock2015EF.Maps
{
public class PersonTypeMap : EntityTypeConfiguration<PersonType>
{
public PersonTypeMap()
{
    ToTable("TypeOfPerson");
    Property(p => p.TypeName)
            .HasMaxLength(30)
            .IsRequired();
    HasMany(pt => pt.Persons)
        .WithOptional(p => p.PersonType)
        .HasForeignKey(p => p.PersonTypeId)
        .WillCascadeOnDelete(false);
}
}
}